Subject: Re: [PATCH] Fix Maple PATA IRQ assignment.

From: Alan <[email-masked]>
Date: Mon, 1 Jan 2007 21:34:44 +0000

> Er, that would be pci_get_legacy_ide_irq(), which is what I _have_ used.

Ok un-NAK that, I didn't realise there was a wrapper to those methods too.

> As I said, the Maple board is the _only_ user, across all architectures
> and all PowerPC platforms, of pci_get_legacy_ide_irq(). And the AMD74xx

The Motorola's also used to use funny IRQ numbers for IDE legacy - or are
they no longer supported

> driver is the only driver which calls it -- for Maple. Hence the
> suggestion that perhaps there's a better way to do it.

IRQ routing is platform not driver. Let's keep it that way.